//
//  AppIconView.swift
//  FBWLoginTemplate
//
//  Created by Jean-Marc Boullianne on 8/30/19.
//  Copyright © 2019 Jean-Marc Boullianne. All rights reserved.
//

import UIKit

@IBDesignable class AppIconView: UIView {

    
    // Only override draw() if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func draw(_ rect: CGRect) {
        // Drawing code
        self.layer.shadowPath = UIBezierPath(roundedRect: rect, cornerRadius: 5).cgPath
        self.layer.shadowColor = UIColor.black.cgColor
        self.layer.shadowRadius = 5
        self.layer.shadowOffset = .zero
        self.layer.shadowOpacity = 1
    }
    
    
    var iconView:UIImageView
    
    override init(frame: CGRect) {
        iconView = UIImageView(frame: frame)
        super.init(frame: frame)
        setupViews()
    }
    
    required init?(coder aDecoder: NSCoder) {
        iconView = UIImageView()
        super.init(coder: aDecoder)
        setupViews()
    }
    
    func setupViews() {
        self.backgroundColor = UIColor.clear
        
        self.addSubview(iconView)
        iconView.translatesAutoresizingMaskIntoConstraints = false
        iconView.leftAnchor.constraint(equalTo: self.leftAnchor).isActive = true
        iconView.rightAnchor.constraint(equalTo: self.rightAnchor).isActive = true
        iconView.topAnchor.constraint(equalTo: self.topAnchor).isActive = true
        iconView.bottomAnchor.constraint(equalTo: self.bottomAnchor).isActive = true
        
        iconView.image = UIImage(named: "FBWIcon")
        iconView.contentMode = .scaleAspectFit

        iconView.clipsToBounds = true
        iconView.backgroundColor = UIColor.black
        iconView.layer.cornerRadius = 5
        
        
    }
    
    

}
